Update the active organization (staff)
PATCH /api/organizations. Update the active organization (staff). Headless LMS Organizations API reference.
Owner or admin. Changes its name or slug; 409 when the slug is taken.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/api/organizations" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "slug": "string" }'{ "id": "string", "name": "string", "slug": "string", "createdAt": "string"}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Create an organization and make it active POST
POST /api/organizations. Create an organization and make it active. Headless LMS Organizations API reference.
List the organization's team members (staff) GET
GET /api/organizations/members. List the organization's team members (staff). Headless LMS Organizations API reference.